import { Pie } from '@antv/g2plot';
import { chartsGradients } from '../settings';
export const PieChart = (container, config) => {
    const configuration = config;
    configuration.color ||= Object.values(chartsGradients);
    configuration.pieStyle ||= {
        fillOpacity: 0.6,
        stroke: '#fff',
        lineWidth: 2,
        strokeOpacity: 0.6,
    };
    configuration.state ||= {
        active: {
            style: {
                fillOpacity: 1,
                lineWidth: 0,
                stroke: 'rgba(0,0,0,0)',
            },
        },
    };
    return new Pie(container, configuration);
};
